package com.ztmap.project.zhny.lotusnhtj.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ztmap.project.zhny.lotusnhtj.mapper.TLotusNhtjMapper;
import com.ztmap.project.zhny.lotusnhtj.domain.TLotusNhtj;
import com.ztmap.project.zhny.lotusnhtj.service.ITLotusNhtjService;
import com.ztmap.common.utils.text.Convert;

/**
 * 能耗统计Service业务层处理
 * 
 * @author ztmap
 * @date 2023-11-16
 */
@Service
public class TLotusNhtjServiceImpl implements ITLotusNhtjService 
{
    @Autowired
    private TLotusNhtjMapper tLotusNhtjMapper;

    /**
     * 查询能耗统计
     * 
     * @param id 能耗统计ID
     * @return 能耗统计
     */
    @Override
    public TLotusNhtj selectTLotusNhtjById(Long id)
    {
        return tLotusNhtjMapper.selectTLotusNhtjById(id);
    }

    /**
     * 查询能耗统计列表
     * 
     * @param tLotusNhtj 能耗统计
     * @return 能耗统计
     */
    @Override
    public List<TLotusNhtj> selectTLotusNhtjList(TLotusNhtj tLotusNhtj)
    {
        return tLotusNhtjMapper.selectTLotusNhtjList(tLotusNhtj);
    }

    /**
     * 新增能耗统计
     * 
     * @param tLotusNhtj 能耗统计
     * @return 结果
     */
    @Override
    public int insertTLotusNhtj(TLotusNhtj tLotusNhtj)
    {
        return tLotusNhtjMapper.insertTLotusNhtj(tLotusNhtj);
    }

    /**
     * 修改能耗统计
     * 
     * @param tLotusNhtj 能耗统计
     * @return 结果
     */
    @Override
    public int updateTLotusNhtj(TLotusNhtj tLotusNhtj)
    {
        return tLotusNhtjMapper.updateTLotusNhtj(tLotusNhtj);
    }

    /**
     * 删除能耗统计对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTLotusNhtjByIds(String ids)
    {
        return tLotusNhtjMapper.deleteTLotusNhtjByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除能耗统计信息
     * 
     * @param id 能耗统计ID
     * @return 结果
     */
    @Override
    public int deleteTLotusNhtjById(Long id)
    {
        return tLotusNhtjMapper.deleteTLotusNhtjById(id);
    }
}
